import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {PreviousRouteRecorder} from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {ManageStakeholderComponent} from "./manageStakeholder.component";
import {AdminDashboardGuard} from "../utils/adminDashboard.guard";

@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: ManageStakeholderComponent,
        canActivate: [AdminDashboardGuard],
        canDeactivate: [PreviousRouteRecorder],
        data: {hasSidebar: true}
      }
    ])
  ]
})
export class ManageStakeholderRoutingModule {
}
