import {NgModule} from "@angular/core";
import {ManageStakeholderComponent} from "./manageStakeholder.component";
import {ManageStakeholderRoutingModule} from "./manageStakeholder-routing.module";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {InputModule} from "../openaireLibrary/dashboard/sharedComponents/input/input.module";
import {LoadingModule} from "../openaireLibrary/utils/loading/loading.module";
import {AlertModalModule} from "../openaireLibrary/utils/modal/alertModal.module";
import {ReactiveFormsModule} from "@angular/forms";
import {AdminDashboardGuard} from "../utils/adminDashboard.guard";

@NgModule({
  declarations: [ManageStakeholderComponent],
  imports: [
    ManageStakeholderRoutingModule,
    CommonModule,
    RouterModule,
    InputModule,
    LoadingModule,
    AlertModalModule,
    ReactiveFormsModule
  ],
  providers: [
    AdminDashboardGuard, PreviousRouteRecorder,
  ],
  exports: [ManageStakeholderComponent]
})
export class ManageStakeholderModule {

}
